## org.apache.hadoop.mapred.lib
Interface InputSampler.Sampler<K,V>

All Known Implementing Classes:
  InputSampler.IntervalSampler, InputSampler.RandomSampler, InputSampler.SplitSampler

Enclosing class:
  InputSampler<K,V>

    public static interface InputSampler.Sampler<K,V>

Interface to sample using an `InputFormat`.

Method Summary
`K[]` `getSample(InputFormat<K,V> inf, JobConf job)` For a given job, collect and return a subset of the keys from the input data.

Method Detail

### getSample

    K[] getSample(InputFormat<K,V> inf,
                  JobConf job)
                  throws IOException

  For a given job, collect and return a subset of the keys from the input data.

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation